
#ifndef __map_actions_h__
#include "map_actions.h"
#endif


extern byte_swap_code map_action_byte_swap_data[]=
{
	_begin_bs_array, 1,
	
	// DATUM_HEADER;
	_2byte,
	
	// short deactivation_mode;
	_2byte,
	
	// action_tag tag; // the proc which this action will trigger, NONE means none
	_4byte,
	
	// unsigned long flags;
	_4byte,
	
	// long trigger_time_lower_bound, trigger_time_delta; // could be absolute time or activation-relative delay
	_4byte, _4byte,
	
	// short parameter_count;
	// short parameters_size; // in bytes
	_2byte,
	_2byte,
	
	// long parameters_offset;
	_4byte,

	// short visual_indent;
	_2byte,

	15*sizeof(short),

	// internal

	// long trigger_time; // only valid if active; absolute time the action will trigger 
	sizeof(long),

	_end_bs_array
};

extern byte_swap_code map_action_parameter_header_byte_swap_data[]=
{
	_begin_bs_array, 1,
	
	// short type, count;
	// unsigned long field_name;
	_2byte, _2byte,
	_4byte,
	
	_end_bs_array
};

